// Coddigo Javascript By Andy (^_^)!
function val(obj,val)
{
	$(obj).value = val;
}
function ListarCiudad(codigo)
{
  
  if(codigo)
  {
	$('e7').innerHTML = "";
	$('e7').className = 'nover';
    $('e7').innerHTML = "<img src='Imagenes/Carg.gif' height=16 width=16 >";
    var code = codigo;
    var objeto = peticionXMLHttp();
    objeto.open("POST","Procesos/Proc.Ciudades.php",true);
    objeto.onreadystatechange = function()
    {
	  
	  if(objeto.readyState == 4)
	  {
		     if(objeto.status == 200)
			 {
				if(objeto.responseText !== "error")
				{
				     $('e7').innerHTML = "";
			         while ($("Ciudad").firstChild) {$("Ciudad").removeChild($("Ciudad").firstChild);}
				     var ciudades = objeto.responseText.split("|");
				     for(var n = 0;n<ciudades.length;n++)
				      {
				        	var ciudad = ciudades[n].split("@")[1];
					        var codigo = ciudades[n].split("@")[0];
					        $("Ciudad").options[n] = new Option(ciudad,codigo);		
				      }
					  $("Ciudad").selectedIndex=0;
				}else{
					
					alert("Escoge Otro Pais..El que Escogio no esta Disponible");
					while ($("Ciudad").firstChild) {$("Ciudad").removeChild($("Ciudad").firstChild);}
					$('e7').innerHTML = "";
					$("Pais").selectedIndex=0;
					$("Ciudad").options[0] = new Option("Seleccione su ciudad/estado.","");		
					}
				 
			 }else
			 {	
			     objeto.close();
			     objeto.setRequestHeader("Connection", "close");
				
			 }
			
		  
	  }else
	  {
		  while ($("Ciudad").firstChild) {$("Ciudad").removeChild($("Ciudad").firstChild);}
		  $("Ciudad").options[0] = new Option("Cargando...","");		
	  }
    }
     objeto.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     objeto.send("Cod="+code+"&nocache="+Math.random()*99999);
  }
}
function verdatos()
{	
    var terminoss = (document.rg.Terminos.checked == true)? "si":"no";
	var veredad = (document.rg.Edad.checked == true)? "no":"si";
	var sexops = (gen(document.rg.Genero) == 1)? "M":"F";
    var getvars = "";
	getvars += "Usuario="+valor("Usuario")+"&Email="+valor("Email")+"&Clave="+valor("Clave")+"&ReClave="+valor("ReClave")+"&Nombre="+valor("Nombre");
	getvars += "&Apellidos="+valor("Apellidos");
	getvars += "&Pais="+valor("Pais")+"&Dia="+valor("Dia")+"&Mes="+valor("Mes")+"&Anio="+valor("Anio")+"&Ciudad="+valor("Ciudad")+"&Genero="+sexops;
	getvars += "&CodigoSeg="+valor("CodigoSeg")+"&Terminos="+terminoss+"&Edad="+veredad;
	return getvars;
	
}
function Procesar()
{
	
	$("carga").innerHTML = "<img src='./Imagenes/Carg.gif' height=16 width=16 style='margin-top:5px'>";
	var proceso  = peticionXMLHttp();
	proceso.open("POST","Procesos/Proc.Registro.php",true);
	proceso.onreadystatechange = function()
	{
		  if(proceso.readyState == 4)
		   {
			    
				   if(proceso.status == 200)
				   {
					   
					     $("carga").innerHTML  = '';
						 if(proceso.responseText  == "registrado")
						 {
							 window.location = "acceso.php";
						 }else if(proceso.responseText == "error")
						 {
							 alert("Ocurrion un Error al Registrarse");
							 window.location = "registro.php";
						}else
						 {
							
						     var errores = proceso.responseText.split("|");
						     for(var n = 0;n<errores.length;n++)
						       {
							   	    var nodoandy = errores[n];		
									
							         if(nodoandy == "exito")
							           {
							              $("e"+n).className="nover";
							              $("e"+n).innerHTML = "";
								
							           }else
									   {
										   if(nodoandy =="nocaptcha")
										   {											 
											   recaptcha();
											   $("e"+n).className="erMsg";
							                   $("e"+n).innerHTML  = "<b class='tt'></b>El código de seguridad es incorrecto.";

										   }										   
										   else if(nodoandy == "yaexiste")
										   {
											  $("e"+n).className="erMsg";
							                  $("e"+n).innerHTML  = "<b class='tt'></b>El nombre de usuario ingresado no esta disponible";
											  Sugerencias("Usuario");
										   }else
										   {
											 $('NombreCuent').innerHTML  = "";
							                  $("e"+n).className="erMsg";
							                  $("e"+n).innerHTML = "<b class='tt'></b>"+nodoandy; 	
										   }
							           }					 
							
						         }
								 
						
						}
					   
				   }else
				   {
					  proceso.close();
			          proceso.setRequestHeader("Connection", "close");
				   }
				   
	      }   else
		   {
			   $("carga").innerHTML = "<img src='./Imagenes/Carg.gif' height=16 width=16 style='margin-top:5px'>";
		   }
	}	
	proceso.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    proceso.send(verdatos()+"&nocache="+Math.random()*9999999);
}
function recaptcha()
{
		$("captcha").innerHTML = "<img src=\"./Antiboot.php\" align=\"absbottom\"> <img src=\"./Imagenes/i-fh01.gif\" align=\"absmiddle\">";
		
}
function Sugerencias(obj)
{
	var sugerencia = peticionXMLHttp();
	sugerencia.open("POST","Procesos/Proc.Acciones.php",true);
	sugerencia.onreadystatechange = function()
	{
		if(sugerencia.readyState == 4)
		{
			
			    if(sugerencia.status == 200)
				{
					$("NombreCuent").innerHTML += "<b>Te sugerimos algunas opciones:</b><br />";
					var nuevovalor = sugerencia.responseText.split("::");
					for(var i = 0;i<nuevovalor.length;i++)
					{
						var opciones = nuevovalor[i].split("<b>").join("").split("</b>").join("");
						$("NombreCuent").innerHTML += "<div><input type=\"radio\" name=\"ccc\" onclick=\"$('Usuario').value='"+opciones+"'\">"+nuevovalor[i]+"</div>";
					}					
				}else
				{	sugerencia.close();
			        sugerencia.setRequestHeader("Connection", "close");
				}
		}
	}
	sugerencia.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    sugerencia.send("Accion=Sugerencias&Usuario="+$(obj).value+"&nocache="+Math.random()*99999);
	

}
function verURI()
{
	var Caracteres = "abcdefghijklmnopqrstuvwxyz1234567890-";
	var Espacion = " ";

		var valor = $("Usuario").value.toLowerCase();
		var cuenta = '';
		for(i=0;i<valor.length;i++){
			if(Caracteres.indexOf(valor.substr(i,1)) != -1){
				cuenta  += valor.substr(i,1); 
			}
		}
		if(cuenta.length){
			$('NombreCuent').innerHTML = "http://www."+dominio+"/user/<b>"+cuenta +"</b>/";
		} else {
			$('NombreCuent').innerHTML = ''; $("NombreCuent").className = "nover";
		}
		$("Usuario").value = cuenta;	

}
function Syntaxis_Letra(valor)
{
	var Caracteres = "abcdefghijklmnopqrstuvwxyzABCDEFGHIFKLMNOPQRSTUVWXYZ ";
	var Espacion = " ";

		var _HTTP = $(valor).value;
		var CuentaUSR = '';
		for(i=0;i<_HTTP.length;i++){
			if(Caracteres.indexOf(_HTTP.substr(i,1)) != -1){
				CuentaUSR += _HTTP.substr(i,1); 
			}
		}
		$(valor).value = CuentaUSR;	
}